
#include "creature.h"

//--\//\---/\\/----\//\-----/\\/---o--\//\-----/\\/----\//\---/\\/--\//\
//--/\\/---\//\----/\\/--o--\//\------/\\/--o--\/\/----/\\/---\//\--/\\/
//--\//\---/\\/-o--\//\-----/\\/------\//\-----/\\/-o--\//\---/\\/--\//\
//--/\\/-o-\//\----/\\/--o--\//\------/\\/--o--\/\/----/\\/-o-\//\--/\\/
//------------------------------------------------------------------
creature::creature(){
	catchUpSpeed = 0.3f;
	
	pos.set(0,0);
	prevPos.set(0,0);
	rectSize=0;
}

//------------------------------------------------------------------
void creature::draw() {
	ofFill();
	
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
    //ofSetColor(198,246,55);
	 ofSetColor(230,219,176);
	ofPushMatrix();
	ofTranslate(pos.x, pos.y, 0);
	ofRotateZ(angle * RAD_TO_DEG/7);

	//ofScale(Bsize+3, Bsize+3, 0);

	
	ofSetColor(196,188,160);
	ofEllipse( 0,0, 30-rectSize,30-rectSize);
	
	
	
	ofPopMatrix();
	
	
}

//------------------------------------------------------------------
void creature::xenoToPoint(float catchX, float catchY, float speed){
	
	
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 
	
	float dx = pos.x - prevPos.x;
	float dy = pos.y - prevPos.y;
	
	angle = atan2(dy, dx);
	
	prevPos.x = pos.x;
	prevPos.y = pos.y;
	rectSize= speed;
	
	
	
}
