#include "rectangle.h"


//------------------------------------------------------------------
rectangle::rectangle(){
	
	catchUpSpeed = 0.4f;
	
	pos.set(0,0);
	prevPos.set(0,0);
	rectSize = 0;
}

//------------------------------------------------------------------
void rectangle::draw() {
	ofFill();
	
	ofSetRectMode(OF_RECTMODE_CENTER); // center around the position
  
	//ofSetColor(196,188,160);
	ofSetColor(77,126,153); 
	
	ofNoFill();
	ofPushMatrix();
	ofTranslate(pos.x, pos.y, 0);
	ofRotateZ(angle * RAD_TO_DEG/5);
	ofCircle(0,0,18-rectSize);
	ofPopMatrix();	
}
//------------------------------------------------------------------
void rectangle::xenoToPoint(float catchX, float catchY, float speed){
	//printf("%d \n",Bsize);
	
	pos.x = catchUpSpeed * catchX + (1-catchUpSpeed) * pos.x; 
	pos.y = catchUpSpeed * catchY + (1-catchUpSpeed) * pos.y; 
	
	float dx = pos.x - prevPos.x;
	float dy = pos.y - prevPos.y;
	
	angle = atan2(dy, dx);
	
	prevPos.x = pos.x;
	prevPos.y = pos.y;
	rectSize = speed/2 ;	
}
